# usrp

This repository will be used in a pre-deployment stage, to configure compute nodes
(e.g., NUCs) connected to USRPs that will become part of a k8s cluster in an Aether pod.
The goal is to have the compute nodes ready for receiving the provisioning of specific
sdran helm charts, i.e., the charts related to OpenAir Interface (OAI) docker images.
Those images utilize the USRPs in the sdran deployments, and need specific kernel
configurations and OS settings.

## Requirements

Minimum ansible version: 2.9.5

## Defaults

List of default values for variables:
* `usrp_reboot: true`
* `update_grub: true`


## Example Playbook

```yaml

- name: Configure aether compute nodes
  hosts: aetherusrp
  become: true
  roles:
    - usrp
```

## License and Author

© 2021 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
